Package org.apache.lucene.analysis.miscellaneous

# Class KeepWordFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory
org.apache.lucene.analysis.miscellaneous.KeepWordFilterFactory

All Implemented Interfaces:
  `ResourceLoaderAware`

public class KeepWordFilterFactory extends AbstractWordsFileFilterFactory
Factory for `KeepWordFilter`.

     <fieldType name="text_keepword" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.KeepWordFilterFactory" words="keepwords.txt" ignoreCase="false"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "keepWord"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
SPI name

### Fields inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

`FORMAT_SNOWBALL, FORMAT_WORDSET`

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`KeepWordFilterFactory()`
Default ctor for compatibility with SPI
`KeepWordFilterFactory(Map<String,String> args)`
Creates a new KeepWordFilterFactory

## Method Summary

Modifier and Type
Method
Description
`TokenStream`
`create(TokenStream input)`
`protected CharArraySet`
`createDefaultWords()`
Default word set implementation.

### Methods inherited from class org.apache.lucene.analysis.en.AbstractWordsFileFilterFactory

`getFormat, getWordFiles, getWords, inform, isIgnoreCase`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

## Constructor Details

### KeepWordFilterFactory

public KeepWordFilterFactory(Map<String,String> args)
Creates a new KeepWordFilterFactory

### KeepWordFilterFactory

public KeepWordFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### createDefaultWords

protected CharArraySet createDefaultWords()
Description copied from class: `AbstractWordsFileFilterFactory`
Default word set implementation.

Specified by:
  `createDefaultWords` in class `AbstractWordsFileFilterFactory`

### create

public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`